<?php
  session_start();
  require("config.php");
  // o usuĂĄrio estĂĄ logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }
  
  // diretório no qual o arquivo será gravado. este diretório
  // deverá ter permissao de escrita
  $diretorio = $diretorio_documentos_pagamentos_recebimentos . "/";
  $supported_image = $documentos_permitidos;
  $ext = strtolower(pathinfo($_POST["fname"], PATHINFO_EXTENSION));
  $id_pagamento_recebimento = tratar_entrada(utf8_decode(trim($_POST["id_pagamento_recebimento"])));
  $tipo = tratar_entrada(utf8_decode(trim($_POST["tipo"])));
  $id_unico_pagamento_recebimento = tratar_entrada(utf8_decode(trim($_POST["id_unico_pagamento_recebimento"]))); 
  $id_usuario_logado = $_SESSION["id_usuario_logado"]; 
   
  if (in_array($ext, $supported_image)){
    // vamos verificar o código do erro
    if($_FILES['arquivo']['error'] == UPLOAD_ERR_OK){
      // o arquivo foi transferido com sucesso. vamos usar a
      // funçao move_uploaded_file() para copiá-lo para 
      // seu local definitivo
      
	  // rotina para gravar o nome do arquivo no banco de dados
	  // id	arquivo	tipo	id_pai	data_cadastro	usuario_cadastro
	  $nome_arquivo = sanitizeString($_POST["fname"]);
	  $result = mysqli_query($conexao, "INSERT into anexos_pagamentos_recebimentos VALUES (null, '$nome_arquivo', '$tipo', 
	    '$id_pagamento_recebimento', NOW(), '$id_usuario_logado', '$id_unico_pagamento_recebimento')");
      if(!$result){
	    echo "Erro: " . mysqli_error($conexao);
        exit;  
      }
	  // fim rotina para gravar o nome do arquivo no banco de dados
	  
	  move_uploaded_file($_FILES['arquivo']["tmp_name"], 
        $diretorio . $nome_arquivo);
      //echo "Upload feito com sucesso: " . $nome_arquivo;
	  echo $nome_arquivo;
    }
    else{
      echo "Ocorreu um erro no upload";
    }
  }
?>